PUT /api/v3/account/{accountId}/udf

Edits user defined field / custom field values for a particular account

EditAccountUDFsV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId The identifier for the account integer (int32) Required

Request Body

Array of:

UDFValue
Property Description Type
udfId udfId of the UDF being edited Required (defined) integer (int32)
value Required (defined) string
Example Request Body application/json
[
  {    "udfId": 1,    "value": "string"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

UDFFieldChild
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description Required (defined) string
displayOrder Required (defined) integer (int32)
important Required (defined) boolean
name Required (defined) string
udfId Required (defined) integer (int32)
udfSelectValues Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder Required (defined) integer (int32)
udfSelectValueId Required (defined) integer (int32)
value Required (defined) string
value Required (defined) string
Example Response application/json
[
  {    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "description": "string",    "displayOrder": 1,    "important": false,    "name": "string",    "udfId": 1,    "udfSelectValues": [
      {      "displayOrder": 1,      "udfSelectValueId": 1,      "value": "string"
    }
    ],    "value": "string"
  }
]